## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

%global _description %{expand:
papermill is a tool for parameterizing, executing, and analyzing Jupyter
Notebooks.

Papermill lets you:

- parameterize notebooks
- execute notebooks

This opens up new opportunities for how notebooks can be used. For example:

- Perhaps you have a financial report that you wish to run with different
  values on the first or last day of a month or at the beginning or end of the
  year, using parameters makes this task easier.
- Do you want to run a notebook and depending on its results, choose a
  particular notebook to run next? You can now programmatically execute a
  workflow without having to copy and paste from notebook to notebook manually.

Papermill takes an opinionated approach to notebook parameterization and
execution based on our experiences using notebooks at scale in data pipelines.}


Name:           python-papermill
Version:        2.6.0
Release:        %{autorelease}
Summary:        Parameterize and run Jupyter and nteract Notebooks

License:        BSD-3-Clause
URL:            https://pypi.org/pypi/papermill
Source0:        %{pypi_source papermill}

BuildArch:      noarch
# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

%description %_description

%package -n python3-papermill
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  help2man

%if %{with tests}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist pytest-xdist}
BuildRequires:  %{py3_dist ipykernel}
BuildRequires:  %{py3_dist pyarrow}
%endif


%description -n python3-papermill %_description

%pyproject_extras_subpkg -n python3-papermill all s3 azure gcs hdfs github black

%prep
%autosetup -n papermill-%{version} -p1

sed -i 's/parametrize/parameterize/' setup.py

# Unpin aiohttp
sed -r -i 's/^(aiohttp).*$/\1/' requirements.txt

# Comment out to remove /usr/bin/env shebangs
# Can use something similar to correct/remove /usr/bin/python shebangs also
# find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'


%generate_buildrequires
%pyproject_buildrequires -x all


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l papermill


install -d '%{buildroot}%{_mandir}/man1'
help2man --no-info --version-string %{version} --help-option --help --no-discard-stderr --output='%{buildroot}%{_mandir}/man1/papermill.1' "%{buildroot}/%{_bindir}/papermill"

%check
%if %{with tests}
# require net access
%{pytest} -n auto -v\
    --ignore papermill/tests/test_abs.py \
    --ignore papermill/tests/test_adl.py \
    --ignore papermill/tests/test_s3.py \
    --ignore papermill/tests/test_autosave.py \
    -k "not GCSTest and not test_hdfs_listdir"
%endif

# LICENSE/COPYING are included in the dist-info, so we do not need to
# explicitly list them again
%files -n python3-papermill -f %{pyproject_files}
%doc README.md CHANGELOG.md
%{_bindir}/papermill
%{_mandir}/man1/papermill.*

%changelog
## START: Generated by rpmautospec
* Fri Apr 26 2024 Packit <hello@packit.dev> - 2.6.0-1
- Update to 2.6.0 upstream release
- Resolves: rhbz#2277432

* Thu Apr 18 2024 Tomáš Hrnčiar <thrnciar@redhat.com> - 2.5.0-4
- Minimal patch for compatibility with pytest 8

* Wed Mar 13 2024 Sandro <devel@penguinpee.nl> - 2.5.0-3
- Fix Packit config

* Fri Feb 23 2024 Sandro <devel@penguinpee.nl> - 2.5.0-2
- Add Packit config

* Fri Feb 23 2024 Sandro <devel@penguinpee.nl> - 2.5.0-1
- Update to 2.5.0 (RHBZ#2247552)
- Drop github extra (now part of all)
- Apply patch fixing build

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.4.0-8
- Assert that the .dist-info directory contains a license file

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 2.4.0-7
- Drop i686 support (leaf package)

* Wed Sep 06 2023 Sandro <devel@penguinpee.nl> - 2.4.0-6
- Rebuild for RHBZ#2226274
- Builds now without changes

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Mar 24 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 2.4.0-4
- feat: upload sources (fixes rhbz#2173665)

* Fri Mar 24 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 2.4.0-3
- feat: update as per review comments
- spelling corrections
- add extra subpkgs
- generate man page in build
- parallelise pytest
- correct BRs

* Fri Mar 24 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 2.4.0-2
- feat: ready for review

* Fri Mar 24 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 2.4.0-1
- init
## END: Generated by rpmautospec
